package com.yeejoin.amos.fas.business.service.intfc;

import java.util.List;

import org.springframework.data.domain.Page;

import com.yeejoin.amos.fas.core.common.request.CommonPageable;
import com.yeejoin.amos.fas.dao.entity.Dict;

public interface IDictService {

	Page<Dict> getDictPage(Dict dict, CommonPageable commonPageable);

	List<Dict> getDictListByIds(Long[] ids);

	Dict getDictById(long id);

	void deleteDictById(long id);

	void deleteDictByIds(long[] ids);

	void saveDict(Dict dict);

	List<Dict> getDictList(Dict dict);

}
